import request from '@/utils/request'

export function listLifeVest(query) {
  return request({
    url: '/life/vest/list',
    method: 'get',
    params: query
  })
}

export function getLifeVest(id) {
  return request({
    url: '/life/vest/' + id,
    method: 'get'
  })
}

export function addLifeVest(data) {
  return request({
    url: '/life/vest',
    method: 'post',
    data: data
  })
}

export function updateLifeVest(data) {
  return request({
    url: '/life/vest',
    method: 'put',
    data: data
  })
}

export function delLifeVest(id) {
  return request({
    url: '/life/vest/' + id,
    method: 'delete'
  })
}
